#include <iostream>
using namespace std;

void swap_by_value(int a, int b) {
    int tmp = a;
    a = b;
    b = tmp;
}

void swap_by_reference(int &a, int &b) {
    int tmp = a;
    a = b;
    b = tmp;
}

int main() {
    int x = 1, y = 22;

    cout << endl;

    cout << "before calling swap_by_value(x,y) : x = " << x << ", y = " << y << endl;
    swap_by_value(x, y);
    cout << "after calling swap_by_value(x,y): x = " << x << ", y = " << y << endl;

    cout << endl;

    cout << "before calling swap_by_reference(x,y) : x = " << x << ", y = " << y << endl;
    swap_by_reference(x, y);
    cout << "after calling swap_by_reference(x,y): x = " << x << ", y = " << y << endl;

    cout << endl;

    return 0;
}
