import static java.lang.System.out;

class Swap {
    static void swap_ints(int a, int b) {
        int tmp = a;
        a = b;
        b = tmp;
    }

    static void swap_intArrayElements(int[] a, int i, int j) {
        int tmp = a[i];
        a[i]= a[j];
        a[j] = tmp;
    }

    public static void main(String[] args) {
        int x = 1, y = 22;

        out.println();

        out.println("before calling swap_ints(x, y) : x = " + x + ", y = " + y);
        swap_ints(x, y);
        out.println("after calling swap_ints(x, y) : x = " + x + ", y = " + y);

        out.println();

        int[] a = { 1, 22 };

        out.println("before calling swap_intArrayElements(a[0], a[1]) : a[0] = "
                    + a[0] + ", a[1] = " + a[1]);
        swap_intArrayElements(a, 0, 1);
        out.println("after calling swap_intArrayElements(a[0], a[1]) : a[0] = "
                    + a[0] + ", a[1] = " + a[1]);

        out.println();

    }

}
