#include <stdio.h>

void swap_values(int a, int b) {
    int tmp = a;
    a = b;
    b = tmp;
}

void swap_pointed_to_values(int *a, int *b) {
    int tmp = *a;
    *a = *b;
    *b = tmp;
}

int main() {
    int x = 1, y = 22;

    int *px = &x, *py = &y;
    /*
     * At this point px contains the address of x,
     * and py contains the address of y.
     */

    putchar('\n');

    printf("before calling swap_values(x, y) : x = %d, y = %d\n", x, y);
    swap_values(x, y);
    printf("after calling swap_values(x, y) : x = %d, y = %d\n", x, y);

    putchar('\n');

    printf("before calling swap_pointed_to_values(px,py): x = %d, y = %d\n", x, y);
    swap_pointed_to_values(px, py);
    printf("after calling swap_pointed_to_values(px,py): x = %d, y = %d\n", x, y);

    putchar('\n');
    return 0;
}
